
Member Nodes - Task #3534

MNDeployment # 3234 (Testing): CyVerse (iPlant) member node

Contact Schildhauer and Merchant to plan trajectory for iPlant MN

2013-01-30 20:36 - Matthew Jones

Status: Closed Start date: 2013-01-30

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Determine:

1. Schedule

2. Software

3. Assistance needed from DataONE

History

#1 - 2013-01-30 20:47 - Matthew Jones

- Target version changed from Deploy by end of Y4Q4 to Deploy by end of Y5Q2

#2 - 2013-10-01 18:06 - Bruce Wilson

- Target version deleted (Deploy by end of Y5Q2)

#3 - 2016-06-21 17:32 - Matthew Jones

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Contacted Nirav Merchant June 15, 2016, see summary in parent ticket.

#4 - 2016-06-21 17:50 - Matthew Jones

- Estimated time set to 0.00

I contacted Nirav Merchant on June 15, 2016 and discussed the idea of a CyVerse MN with him.  They are way ahead of us, in that at a recent

CyVerse hackathon they developed a plugin for their CyVerse Discovery Environment to allow their system to interact with DataONE over the

DataONE API.  My impression is that this is partially based on the iRODs implementation that DFC is doing, and that as soon as that is tested, then

they would be willing to bring CyVerse on as a DataONE node.  Needs further discussion, but this is all technically much further along that I knew.

In terms of metadata, CyVerse supports multiple community profiles and allows metadata to be serialized in multiple formats at the discretion of the

user.  My impression is that they would make a DataONE upload option available to all users on a per-dataset basis, and that when a user chose to

register a dataset with DataONE, their metadata would be converted.  We will likely need to support some new metadata standards for some of their

users, so we will need to contact them about that.

Overall, I think CyVerse has the potential to be brought online relatively quickly, and they serve a huge NSF community with a lot of really useful data.

Powered by TCPDF (www.tcpdf.org)

2024-04-10 1/1

http://www.tcpdf.org

